Page MenuHomePhabricator

Set $wgCategoryCollation for the Scottish Gaelic Wikipedia, gdwiki
Closed, ResolvedPublic

Description

Could we have $wgCategoryCollation set to uca-default for gdwiki, please.

This has been discussed by the community with clear consensus in favour, 9-0:

https://gd.wikipedia.org/wiki/Uicipeid:Doras_na_coimhearsnachd#Bh.C3.B2tadh_3

Further information: Even if a collation uca-gd exists (and I am not sure whether it does), uca-default is perfectly adequate and suitable for Scottish Gaelic, which has no unusual sorting requirements, just a few accented characters similar to Italian. I understand that the conversion to uca has in the past run into technical problems and run very slowly for very large Wikipedias (e.g. French) while it has gone smoothly for smaller Wikipedias. The Scottish Gaelic Wikipedia is small with less than 14,000 articles.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterSet category collation on gd.wikipedia

Event Timeline

Caoimhin created this task.Jan 30 2016, 7:12 PM
Caoimhin raised the priority of this task from to Needs Triage.
Caoimhin updated the task description. (Show Details)
Caoimhin added a subscriber: Caoimhin.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 30 2016, 7:12 PM
Florian updated the task description. (Show Details)Jan 30 2016, 7:19 PM
Florian set Security to None.
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptJan 30 2016, 7:19 PM
Dereckson triaged this task as Medium priority.Feb 2 2016, 1:22 AM
Dereckson added a subscriber: Dereckson.

Change 267820 had a related patch set uploaded (by Dereckson):
Set category collation on gd.wikipedia

https://gerrit.wikimedia.org/r/267820

Dereckson claimed this task.Feb 2 2016, 1:49 AM

Change 267820 merged by jenkins-bot:
Set category collation on gd.wikipedia

https://gerrit.wikimedia.org/r/267820

Dereckson closed this task as Resolved.Feb 10 2016, 3:11 PM

Everything looks fine. A huge improvement.

Móran taing! (Thanks very much)

You're most than very welcome.